PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pg_lo_write

## Name

pg_lo_write -- write a large object

## Synopsis

    pg_lo_write conn fd buf len

### Inputs

`conn`

  Specifies a valid database connection.

`fd`

  File descriptor for the large object from pg_lo_open.

`buf`

  Specifies a valid string variable to write to the large object.

`len`

  Specifies the maximum size of the string to write.

### Outputs

None

## Description

`pg_lo_write` writes at most `len` bytes to a large object from a variable `buf`.

## Usage

`buf` must be the actual string to write, not a variable name.

Prev | Home | Next
pg_lo_read | Up | pg_lo_lseek